%define with_klinkstatus 1

%define subrel 1

Name: kdewebdev4
Version: 4.2.4
License: GPLv2+
Summary: A web editor for the KDE Desktop Environment
Epoch: 1
URL: http://kdewebdev.org/
Release: %mkrel 0
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdewebdev-%version.tar.bz2
Group: Graphical desktop/KDE
BuildRoot: %_tmppath/%name-%version-%release-root
BuildRequires: pam
BuildRequires: diffutils
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: kdelibs4-devel
BuildRequires: kdepimlibs4-devel
BuildRequires: boost-devel
BuildRequires: freetype2 
BuildRequires: xft2-devel
BuildRequires: xpm-devel
%if %with_klinkstatus
BuildRequires: tidy-devel
%endif
#Requires: quanta
Requires: kxsldbg
Requires: kimagemapeditor
%if %with_klinkstatus
Requires: klinkstatus
%endif
Requires: kfilereplace
Requires: kommander

%description
A web editor for the KDE Desktop Environment

%files
%defattr(-,root,root)

#--------------------------------------------------------------------

%if 0
%package -n quanta
Summary: Quanta
Group: Graphical desktop/KDE
Provides: quanta4
Requires: kimagemapeditor
%if %with_klinkstatus
Requires: klinkstatus
%endif
Requires: kfilereplace
Requires: kommander
Requires: tidy
Obsoletes: %name-core
Obsoletes:      kde4-quanta < 4.0.68
Provides:       kde4-quanta = %version

%description -n quanta
A HTML editor for the K Desktop Environment.

%files -n quanta
%defattr(-,root,root)
%_kde_bindir/quanta
%_kde_libdir/kde4/libkdev*
%_kde_libdir/kde4/quanta*
%_kde_libdir/libkdevquanta.so.*
%_kde_datadir/applications/kde4/quanta.desktop
%_kde_datadir/config.kcfg/quanta.kcfg
%_kde_datadir/kde4/services/kdev*
%_kde_datadir/kde4/services/quanta*
%_kde_datadir/kde4/servicetypes/kdev*
%_kde_appsdir/kdev*/*
%_kde_appsdir/quanta*/*
%_kde_iconsdir/*/*/apps/quanta*
%_kde_docdir/HTML/en/quanta
%endif

#--------------------------------------------------------------------

%if %with_klinkstatus
%package -n klinkstatus
Summary: klinkstatus
Group: Graphical desktop/KDE
Provides: klinkstatus4
Obsoletes: %name-core
Obsoletes:      kde4-klinkstatus < 4.0.68
Provides:       kde4-klinkstatus = %version
Requires: tidy

%description -n klinkstatus
* Support several protocols (allowing fast checking of 
local documents): http, ftp, ssh (fish or sftp) and file.
* Proxy support
* Allows authentication when checking restricted documents
* Supports the latest Web standards-- HTML 4.0, HTTP 1.1
* Server-Side Includes (SSI, aka SHTML) are supported and checked
* Regular expressions to restrict which URLs are searched
* Show link results as they are checked
* Tree like view (that reflects the file structure of the documents) or
  flat view
* Limit the search depth
* Fragment identifiers ("#" anchor links that point to a specific
 section in a document) are supported and checked
* Pause/Resume of checking session
* History of checked URLs
* Tabbed checking (allow multiple sessions at the same time)
* Filter checked links (good, broken, malformed and undetermined)
* Configurable number of simultaneous connections (performance tunning)
* Other configurable options like "check external links", 
"check parent folders", "timeout"
* Good integration with Quanta+
%endif

%files -n klinkstatus
%defattr(-,root,root)
%{_kde_bindir}/klinkstatus
%{_kde_libdir}/kde4/klinkstatuspart.so
%{_kde_libdir}/kde4/automationklinkstatus.so
%{_kde_libdir}/kde4/krossmoduleklinkstatus.so
%{_kde_datadir}/applications/kde4/klinkstatus.desktop
%{_kde_appsdir}/klinkstatus
%{_kde_appsdir}/klinkstatuspart
%{_kde_iconsdir}/*/*/apps/klinkstatus.png
%{_kde_datadir}/kde4/services/klinkstatus_part.desktop
%{_kde_datadir}/config/klinkstatus.knsrc
%{_kde_datadir}/kde4/services/klinkstatus_automation.desktop
%{_kde_datadir}/kde4/services/krossmoduleklinkstatus.desktop
%_kde_docdir/HTML/en/klinkstatus

#--------------------------------------------------------------------------

%define klinkstatuscommon_major 4
%define libklinkstatuscommon %mklibname klinkstatuscommon %klinkstatuscommon_major

%package -n %libklinkstatuscommon
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libklinkstatuscommon
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libklinkstatuscommon -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libklinkstatuscommon -p /sbin/ldconfig
%endif

%files -n %libklinkstatuscommon
%defattr(-,root,root)
%_kde_libdir/libklinkstatuscommon.so.%{klinkstatuscommon_major}*


#--------------------------------------------------------------------------

%package -n kfilereplace
Summary: kfilereplace
Group: Graphical desktop/KDE
Provides: kfilereplace4
Obsoletes: %name-core
Obsoletes:      kde4-kfilereplace < 4.0.68
Provides:       kde4-kfilereplace = %version

%description -n kfilereplace
Kfilereplace program

%if %mdkversion < 200900
%post -n kfilereplace
%{update_desktop_database}
%update_icon_cache crystalsvg
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun -n kfilereplace
%{clean_desktop_database}
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor
%endif

%files -n kfilereplace
%defattr(-,root,root)
%_kde_bindir/kfilereplace
%_kde_datadir/applications/kde4/kfilereplace.desktop
%_kde_appsdir/kfilereplace
%_kde_appsdir/kfilereplacepart
%_kde_iconsdir/*/*/apps/kfilereplace.png
%_kde_datadir/kde4/services/kfilereplacepart.desktop
%_kde_libdir/kde4/libkfilereplacepart.so
%_kde_docdir/HTML/en/kfilereplace
%_kde_iconsdir/*/*/actions/*
%exclude %_kde_iconsdir/*/*/actions/xsldbg*

#--------------------------------------------------------------------------

%define kommanderwidgets_major 4
%define libkommanderwidgets %mklibname kommanderwidgets %kommanderwidgets_major

%package -n %libkommanderwidgets
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libkommanderwidgets
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libkommanderwidgets -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkommanderwidgets -p /sbin/ldconfig
%endif

%files -n %libkommanderwidgets
%defattr(-,root,root)
%_kde_libdir/libkommanderwidgets.so.%{kommanderwidgets_major}*

#--------------------------------------------------------------------------

%define kommandercore_major 4
%define libkommandercore %mklibname kommandercore %kommandercore_major

%package -n %libkommandercore
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libkommandercore
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libkommandercore -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkommandercore -p /sbin/ldconfig
%endif

%files -n %libkommandercore
%defattr(-,root,root)
%_kde_libdir/libkommandercore.so.%{kommandercore_major}*

#--------------------------------------------------------------------------

%package -n kommander
Summary: Kommander
Group: Graphical desktop/KDE
Provides: kommander4
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Obsoletes: %name-core
Obsoletes:      kde4-kommander < 4.0.68
Provides:       kde4-kommander = %version

%description -n kommander
Kommander program

%if %mdkversion < 200900
%post -n kommander
%{update_desktop_database}
%update_icon_cache crystalsvg
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun -n kommander
%{clean_desktop_database}
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor
%endif

%files -n kommander
%defattr(-,root,root)
%_kde_bindir/kommander
%_kde_datadir/applnk/.hidden/kommander.desktop

#--------------------------------------------------------------------------

%package -n kimagemapeditor
Summary: Kimagemapeditor
Group: Graphical desktop/KDE
Provides: kimagemapeditor4
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Obsoletes: %name-core
Obsoletes:      kde4-kimagemapeditor < 4.0.68
Provides:       kde4-kimagemapeditor = %version

%description -n kimagemapeditor
kimagemapeditor program

%if %mdkversion < 200900
%post -n kimagemapeditor
%{update_desktop_database}
%update_icon_cache crystalsvg
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun -n kimagemapeditor
%{clean_desktop_database}
%clean_icon_cache locolor 
%clean_icon_cache hicolor
%endif

%files -n kimagemapeditor
%defattr(-,root,root)
%_kde_bindir/kimagemapeditor
%_kde_datadir/applications/kde4/kimagemapeditor.desktop
%_kde_appsdir/kimagemapeditor
%_kde_datadir/icons/hicolor/*/apps/kimagemapeditor.png
%_kde_datadir/kde4/services/kimagemapeditorpart.desktop
%_kde_libdir/kde4/libkimagemapeditor.so
%_kde_docdir/*/*/kimagemapeditor

#--------------------------------------------------------------------------

%package -n kxsldbg
Summary: Kxsldbg
Group: Graphical desktop/KDE
Provides: kxsldbg4
Conflicts: kfilereplace < 1:4.1.81-2
Obsoletes: %name-core
Obsoletes:      kde4-kxsldbg < 4.0.68
Provides:       kde4-kxsldbg = %version

%description -n kxsldbg
kxsldbg program

%if %mdkversion < 200900
%post -n kxsldbg
%{update_desktop_database}
%update_icon_cache crystalsvg
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun -n kxsldbg
%{clean_desktop_database}
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor
%endif

%files -n kxsldbg
%defattr(-,root,root)
%_kde_bindir/kxsldbg
%_kde_bindir/xsldbg
%_kde_datadir/applications/kde4/kxsldbg.desktop
%dir %_kde_appsdir/kxsldbg
%_kde_appsdir/kxsldbg/*
%dir %_kde_appsdir/xsldbg
%_kde_appsdir/xsldbg/*
%dir %_kde_appsdir/kxsldbgpart
%_kde_appsdir/kxsldbgpart/*
%_kde_iconsdir/hicolor/*/apps/kxsldbg.*
%_kde_iconsdir/hicolor/*/actions/xsldbg*
%_kde_datadir/kde4/services/kxsldbg_part.desktop
%_kde_libdir/kde4/libkxsldbgpart.so
%_kde_docdir/HTML/en/kxsldbg
%_kde_docdir/HTML/en/xsldbg
%_kde_mandir/man1/xsldbg.1*

#--------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Requires: kde4-macros
Requires: kdelibs4-devel
Requires: %{libkommandercore} = %{epoch}:%{version}
Requires: %{libkommanderwidgets} = %{epoch}:%{version}

%description  devel
This package contains header files needed if you wish to build applications
based on %name.

%files devel
%defattr(-,root,root)
%_kde_datadir/dbus-1/interfaces/*
%{_kde_includedir}/*
%{_kde_libdir}/*.so

#--------------------------------------------------------------------------

%prep
%setup -q -n kdewebdev-%version

%build
%cmake_kde4

%make

%install
rm -fr %buildroot

make -C build DESTDIR=%buildroot install

%clean
rm -rf $RPM_BUILD_ROOT



%changelog
* Fri May 29 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.2.4-0.1mdv2009.0
+ Revision: 381156
- Major KDE 4.2.4 update
- Major KDE 4.2.3 update

  + Funda Wang <fundawang@mandriva.org>
    - New version 4.1.4

* Thu Dec 04 2008 Security Team <security@mandriva.com> 1:4.1.3-1.2mdv2009.0
+ Revision: 310034
- + Revision: 308432
  fix file conflicts with kfilereplace and kxsldbg
  add dummy kdewebdev4 main meta package to install all the subpackages

  + Funda Wang <fundawang@mandriva.org>
    - fix file conflicts with kfilereplace and kxsldbg
    - add dummy kdewebdev4 main meta package to install all the subpackages

* Sat Nov 29 2008 Security Team <security@mandriva.com> 1:4.1.3-1.1mdv2009.0
+ Revision: 307854
- + Revision: 304233
  Official KDE 4.1.3 update.

  + Helio Chissini de Castro <helio@mandriva.com>
    - Official KDE 4.1.3 update.

  + root <root>
    - Branching 2009.0 release for updates.

* Sat Sep 27 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.2-1mdv2009.0
+ Revision: 288848
- KDE 4.1.2 arriving.

* Fri Sep 05 2008 Funda Wang <fundawang@mandriva.org> 1:4.1.1-1mdv2009.0
+ Revision: 280989
- New version 4.1.1
- patch0 merged upstream

* Mon Jul 28 2008 Funda Wang <fundawang@mandriva.org> 1:4.1.0-2mdv2009.0
+ Revision: 251469
- Patch0 updated with svn r838725 and svn r838730
- re-enalbe tidy build
- clearify the license
- rediff tidy detection patch, but disable tidy, because it fails to build

* Fri Jul 25 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.0-1mdv2009.0
+ Revision: 247630
- Update with Release Candidate 1 - 4.1.0

* Tue Jul 15 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.98-1mdv2009.0
+ Revision: 236105
- Update with Release Candidate 1 - 4.0.98

* Mon Jul 07 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.85-1mdv2009.0
+ Revision: 232551
- New version kde 4.0.85

* Fri Jun 27 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.84-1mdv2009.0
+ Revision: 229409
- Update with new snapshot tarballs 4.0.84

* Fri Jun 20 2008 Pixel <pixel@mandriva.com> 1:4.0.83-2mdv2009.0
+ Revision: 227426
- rebuild for fixed %%update_icon_cache/%%clean_icon_cache/%%post_install_gconf_schemas
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jun 19 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.83-1mdv2009.0
+ Revision: 226106
- Update with new snapshot tarballs 4.0.83

* Thu Jun 12 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.82-1mdv2009.0
+ Revision: 218530
- Kommander is back, ksxldbg as well
- Update with new snapshot tarballs 4.0.82
- Update with new snapshot tarballs 4.0.81
- New upstream kde4 4.1 beta1

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 16 2008 Funda Wang <fundawang@mandriva.org> 1:4.0.74-1mdv2009.0
+ Revision: 208050
- find our own tidy lib
- New version 4.0.74

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Update to kde 4.0.73
    - Update to 4.0.70
      Comment some files ( will be added soon when ported )

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 alpha 1
    - Update for last stable release 4.0.3

* Tue Mar 25 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-5mdv2008.1
+ Revision: 190113
- Fix Requires

* Sat Mar 15 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-4mdv2008.1
+ Revision: 188106
- Remove kde4-quanta

* Sat Mar 15 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-3mdv2008.1
+ Revision: 188026
- Fix File list
- remove kde4-kxsldbg instead of shipping and empty one (it will come back for kde 4.1)

* Sat Mar 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-2mdv2008.1
+ Revision: 182308
- Rebuild against new qt4 changes

* Sat Mar 01 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.2-1mdv2008.1
+ Revision: 177467
- New upstream bugfix release 4.0.2

* Tue Feb 12 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.1-1mdv2008.1
+ Revision: 166330
- Updating for stable KDE 4.0.1
- No more branches. From now, we will be using the monthly official KDE tarballs, as discussed by Mandriva KDE team
- Removed old documentation from package
- Obsoleted core package, as not needed anymore
- excluded invaliud documentation installed ( xsldbg )

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix case in kde4-quanta's description
    - fix description-line-too-long
    - fix spacing at top of description

* Wed Jan 23 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.0-1mdv2008.1
+ Revision: 157074
- Update to kde 4.0.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.97.1-0.751978.1mdv2008.1
+ Revision: 137596
- New snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.97.1-0.746427.1mdv2008.1
+ Revision: 117790
- New snapshot
  Add patch0 to fix build
- New snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description

* Sun Nov 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.1-0.739968.1mdv2008.1
+ Revision: 111820
- New snapshot

* Sun Nov 18 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.0-0.736231.1mdv2008.1
+ Revision: 109740
- KDE4 RC1
  klinkstatus is back
- New snapshot post Rc1

* Wed Oct 31 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.1-0.730716.3mdv2008.1
+ Revision: 104116
- New snapshot

* Sun Oct 21 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.0-0.727328.3mdv2008.1
+ Revision: 100753
- Kde 4 Beta 3
- [BUGFIX] Fix Requires (Bug #31916)

* Wed Sep 26 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1:3.93.0-0.711694.2mdv2008.0
+ Revision: 93127
- Disable klinkstatus
- New snapshot from KDE svn
- Spec cleanup

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Remove patch0: not needed anymore
    - Add BuildRequires ( kdevplatform4-devel)

* Sun Jul 01 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.91-0.682032.1mdv2008.0
+ Revision: 46406
- Fix File list
- New version 3.91

  + Laurent Montel <lmontel@mandriva.org>
    - Fix release version
    - new snapshot


* Thu Jan 18 2007 Laurent Montel <lmontel@mandriva.com> 3.80.2-0.20070117.2mdv2007.0
+ Revision: 110505
- Remove buildrequires
- Update

* Thu Jan 11 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070109.2mdv2007.1
+ Revision: 107441
- Import kdewebdev4

